import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { GridComponent } from './grid/grid.component';
import { WjGridModule } from '@mescius/wijmo.angular2.grid';
import { WjNavModule } from '@mescius/wijmo.angular2.nav';


@NgModule({
  declarations: [
    AppComponent,
    GridComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    WjGridModule,
    WjNavModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
