import { ComponentFixture, TestBed, fakeAsync, flush } from '@angular/core/testing';

import { GridComponent } from './grid.component';
import { WjGridModule } from '@mescius/wijmo.angular2.grid';
import { WjNavModule } from '@mescius/wijmo.angular2.nav';

import { NO_ERRORS_SCHEMA } from '@angular/core';
import { By } from '@angular/platform-browser';

describe('GridComponent', () => {
  let component: GridComponent;
  let fixture: ComponentFixture<GridComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [GridComponent],
      imports: [WjGridModule, WjNavModule],
      schemas: [NO_ERRORS_SCHEMA]

    })
      .compileComponents();

    fixture = TestBed.createComponent(GridComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

});
