import { Component, ViewChild } from '@angular/core';
import * as wjGrid from '@mescius/wijmo.grid';
import * as wjCore from '@mescius/wijmo';

@Component({
  selector: 'app-grid',
  templateUrl: './grid.component.html',
  styleUrls: ['./grid.component.css']
})
export class GridComponent {
  @ViewChild('grid') grid!: wjGrid.FlexGrid;
  data: wjCore.CollectionView;
  countries = 'US,Germany,UK,Japan,Italy,Greece'.split(',')
  //
  constructor() {
    let dt = [];
    for (var i = 0; i < this.countries.length; i++) {
      dt.push({
        id: i,
        country: this.countries[i],
        sales: Math.random() * 10000,
        expenses: Math.random() * 5000
      });
    }

    this.data = new wjCore.CollectionView(dt);
  }

  flexInit(grid: wjGrid.FlexGrid) {
    let cv: wjCore.CollectionView = (grid.collectionView as wjCore.CollectionView);
    console.log(cv.items.length);
  }

}
